kind: Service
apiVersion: v1
metadata:
    # < name of the service
    name: plex-tcp
    # < namespace where to place service
    namespace: home-stuff
    annotations:
        # < annotation name to combine the Service IP, make sure it's same name as in the service UDP yaml
        metallb.universe.tf/allow-shared-ip: internal
spec:
    selector:
        #ENC[AES256_GCM,data:gGeMSb2SMNx0Dxf/k5DBNWVbo5SyyDCRDVkTd88NUm8jii9dE1dQRcWcnKPeoKQo7d3OMmdWOP/OfZ4FssDzxMoWjZFwyjSbOQ==,iv:nanseDr0ht5VQ45TzzuFH5tO+qivw/A57I2baG+rVaI=,tag:KYLYf8yczDgpy83z6uyqtg==,type:comment]
        app: ENC[AES256_GCM,data:rNDevXvOIdp2Lg==,iv:2qqCNabz0Jctih6U4vFhggLSFXNO/Ux0VNvEiAWNVfQ=,tag:7HMWhEanwI0S4ohPsCBGDA==,type:str]
    ports:
        - ENC[AES256_GCM,data:4KL94Ow2NupXEzy4APhMM6c0RB99p6GROI9jS8kDmHHlq9QkrDe810hHsAM=,iv:Xi1ZFDGSj1GEd0Cb1YytrDj9R4puvK3krapyu9xLsQw=,tag:zmKYJznISUSjk1rX47iMRQ==,type:comment]
        - port: ENC[AES256_GCM,data:uL53iu0=,iv:rJjaigwFe+X1kN4CpxctujtDxfMov8f9pjXXGhIRtmE=,tag:OFh3XA4SqfYfy+CssBgHmA==,type:int]
          #ENC[AES256_GCM,data:bpz/0knMUWCQKqsGbJLrg9ieg1eYdTqTYjXjmL8QIv2L4oy6wCiSwz8kulwS,iv:RMT8ziXpUckgwa9eXa1e8roU1iQ7GomCQri6s43NyaU=,tag:0+PI2cYYhTIu6p+HHtWbWw==,type:comment]
          targetPort: ENC[AES256_GCM,data:y0dsTj4=,iv:xM7M3CN0sLDhkv3jlf40YR8t7xch0v5asEAeq4kMiVI=,tag:5iGpOVFxxwNPBow4n7wonA==,type:int]
          #ENC[AES256_GCM,data:moQDzB5K6NfUKO00pD0vfeSbcxUjg1bAVpLZwa8lhp1V8zx7GgKtkoDcECzJPkyRZg7kDUw=,iv:q8glVU/eQkKLc5yU3IbWuJcWlXulBWsMnjIl/EEpd5Y=,tag:6ee/euYoBPBGuWBEVnVhkA==,type:comment]
          name: ENC[AES256_GCM,data:BrsR/fvsow==,iv:Kd+oYdVG55NY3JCCZkksgx8JCbBZ+WF0fFTaJ+DnPAs=,tag:cHzumhcNhjDMZqgmQKRfYw==,type:str]
          protocol: ENC[AES256_GCM,data:0azy,iv:VTOPOoFIRzEQu+R9Tf38T++SaLUNCTBefdq5Av7iGvU=,tag:4dNbpSbkLjh8w2qPY+qrZw==,type:str]
        - port: ENC[AES256_GCM,data:St+Klw==,iv:REhutHozQfgtq5uVSO1rS6e2bPd3BnidYkvK7Wm0LdU=,tag:0RKq3hu+Tiec9k/mGjWhIQ==,type:int]
          targetPort: ENC[AES256_GCM,data:JfdXIg==,iv:zElGTqJC8cHQwlytuSvnhi5z69SCIRTABFfm1aAKTU0=,tag:f3942TnUqucdrQAHXq7yfA==,type:int]
          name: ENC[AES256_GCM,data:5DO8bdbDJRKqULydiDQ=,iv:5BE5e+/votON3QXJm8Znvg52KMkuVkY+4Rb3E5mHWno=,tag:Q57C+ZgIG1ExAtn3kvMr0g==,type:str]
        - port: ENC[AES256_GCM,data:8ZNg9Q==,iv:C0EQIbI1exNHfZ/52dJTC+FKWkmxCx2O6U1hSLFMtbY=,tag:H6lNBl3du2Z+BZIemMSGXQ==,type:int]
          name: ENC[AES256_GCM,data:/onarKVG87bK,iv:v2k+8kHzA9sG5TOt9NBnVgoRorDIUEQlj7CPwZHsRCE=,tag:HHXZlt744JGCnlVBki53uQ==,type:str]
          targetPort: ENC[AES256_GCM,data:NPNdlA==,iv:gfXoV9+cLb9MxpB4/gWamYnAxmCsGZOmhLmEsRd+DPE=,tag:4/jOU0S7ZXoDGS8B5JMFHQ==,type:int]
          protocol: ENC[AES256_GCM,data:vddc,iv:X5VmOeZWbP7QQke/Df1nT5S6jPFluA14ysLArxnj190=,tag:JcvxHkKGQjw8rgghTUIjoQ==,type:str]
        - port: ENC[AES256_GCM,data:cpud3NA=,iv:uMJkD4XP/uuQ1eE8EDt7x09aq6cavfGtgtBpeDwB6+8=,tag:oSFZ58sQt977GNdMxukmWA==,type:int]
          targetPort: ENC[AES256_GCM,data:lEjct1Q=,iv:cp5NX7eVMi84IddWkBdKz78fmV2wBOl/PBs8/5dO9Cc=,tag:a26nM8HFUiA4JDq6f8zXEw==,type:int]
          name: ENC[AES256_GCM,data:MIE16g9ja60=,iv:8vdA88WAwrByqLkZ8xLh0qa9arLTs03Tf/KuEQgARQ4=,tag:qOuc3CUcBv/RcKGFPJD12w==,type:str]
          protocol: ENC[AES256_GCM,data:5lTz,iv:WwuJB8uyX9O0c7ckrmT1xKFESmDLiQ6ympAB993JFPc=,tag:Idjh5Xc5WxK3vazSmeU5Hg==,type:str]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:lN+QBF2x3ISTR5U4Jw==,iv:WnXyFKImk2HXu4IoDui4DpEG7VAwgnSRBids2HBmRJ0=,tag:mxh/xdV5CprWe6rCbtn8PA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBkYjl3OGdjYStZaW1hZjlh
            SWpUbW5sOXA5OUFqNWZGUElva05kSFdmSG5nCmE3ajArVGF6YmU1SmlYc3JkeXBG
            WmFxM3B1LzR3cHVnN0FRMzM3a0E3TDAKLS0tIFVQRFRYQlRuTUZFZHUvSHloT3hR
            WEtiajJ2ODNPZUtBR1ViZVh5Rk5rdmsKMgCGgPVh+TmUrqmgIfCf/2iUXc4IBU//
            4ILX7f6XZrXTi/4djr8AteLmYkTzQq8Py7N2uMeBK1Gq403lOkbW9w==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:YCCs/xGXl7ApEPTWCNPinSLrDq/Kehv2xvxjlRfKDkSP09aIcqa+TPLBzzk0qhiQ8i7uhX9CS2X4G5E7i3dA1LRCBuC7b5l/jQc6bx9q3TZ8YlQpOkz+QP/z4VGz5xD5e5CjdDu1DLZi80IgjKHu6mhmZaJLAWXj2EMxH9AHcm0=,iv:+LK2IVyUglA/ZUju1tnImaW+co0hdhBs0syuoLtBp3w=,tag:4seNpLUYE6JbF0Zgyl9IYQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
